<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RowRecordsAggregate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RowRecordsAggregate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RowRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
               title="interface in org.apache.poi.hssf.record.aggregates"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="RowRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class RowRecordsAggregate" class="title">Class RowRecordsAggregate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                               title="class in org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates.RecordAggregate</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.aggregates.RowRecordsAggregate</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">RowRecordsAggregate</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
           title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>andy, Jason Height (jheight at chariot dot net dot au)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                       title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#RowRecordsAggregate--">RowRecordsAggregate</a></span>()</code>
                                    <div class="block">Creates a new instance of ValueRecordsAggregate</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#RowRecordsAggregate-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">RowRecordsAggregate</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                       title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;svm)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#collapseRow-int-">collapseRow</a></span>(int&nbsp;rowNumber)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
                                        title="class in org.apache.poi.hssf.record">DimensionsRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#createDimensions--">createDimensions</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#createFormula-int-int-">createFormula</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/IndexRecord.html"
                                        title="class in org.apache.poi.hssf.record">IndexRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#createIndexRecord-int-int-">createIndexRecord</a></span>(int&nbsp;indexRecordOffset,
                                    int&nbsp;sizeOfInitialSheetRecords)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#createRow-int-">createRow</a></span>(int&nbsp;rowNumber)</code>
                                    <div class="block">Create a row record.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#expandRow-int-">expandRow</a></span>(int&nbsp;rowNumber)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#findEndOfRowOutlineGroup-int-">findEndOfRowOutlineGroup</a></span>(int&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#findStartOfRowOutlineGroup-int-">findStartOfRowOutlineGroup</a></span>(int&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getCellValueIterator--">getCellValueIterator</a></span>()</code>
                                    <div class="block">Returns an iterator for the cell values</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getFirstRowNum--">getFirstRowNum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getIterator--">getIterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getLastRowNum--">getLastRowNum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getPhysicalNumberOfRows--">getPhysicalNumberOfRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getRow-int-">getRow</a></span>(int&nbsp;rowIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getRowBlockCount--">getRowBlockCount</a></span>()</code>
                                    <div class="block">Returns the number of row blocks.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#getRowCountForBlock-int-">getRowCountForBlock</a></span>(int&nbsp;block)</code>
                                    <div class="block">Returns the number of physical rows within a block</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">insertCell</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#insertRow-org.apache.poi.hssf.record.RowRecord-">insertRow</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#isRowGroupCollapsed-int-">isRowGroupCollapsed</a></span>(int&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#isRowGroupHiddenByParent-int-">isRowGroupHiddenByParent</a></span>(int&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">removeCell</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#removeRow-org.apache.poi.hssf.record.RowRecord-">removeRow</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterRowShift</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                    int&nbsp;currentExternSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>
                                    <div class="block">Visit each of the atomic BIFF records contained in this <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                        in the order
                                        that they should be written to file.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RowRecordsAggregate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RowRecordsAggregate</h4>
                                <pre>public&nbsp;RowRecordsAggregate()</pre>
                                <div class="block">Creates a new instance of ValueRecordsAggregate</div>
                            </li>
                        </ul>
                        <a name="RowRecordsAggregate-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RowRecordsAggregate</h4>
                                <pre>public&nbsp;RowRecordsAggregate(<a
                                        href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                        title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                           <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                              title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;svm)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rs</code> - record stream with all <a
                                            href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a>, <a
                                                href="../../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a>
                                        <a href="../../../../../../org/apache/poi/hssf/record/MergeCellsRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>MergeCellsRecord</code></a>
                                        Records removed
                                    </dd>
                                    <dd><code>svm</code> - an initialised <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>SharedValueManager</code></a>
                                        (from the shared formula, array
                                        and table records of the current sheet). Never <code>null</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="insertRow-org.apache.poi.hssf.record.RowRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertRow</h4>
                                <pre>public&nbsp;void&nbsp;insertRow(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="removeRow-org.apache.poi.hssf.record.RowRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeRow</h4>
                                <pre>public&nbsp;void&nbsp;removeRow(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="getRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;<a href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                                    title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;getRow(int&nbsp;rowIndex)</pre>
                            </li>
                        </ul>
                        <a name="getPhysicalNumberOfRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPhysicalNumberOfRows</h4>
                                <pre>public&nbsp;int&nbsp;getPhysicalNumberOfRows()</pre>
                            </li>
                        </ul>
                        <a name="getFirstRowNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRowNum</h4>
                                <pre>public&nbsp;int&nbsp;getFirstRowNum()</pre>
                            </li>
                        </ul>
                        <a name="getLastRowNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRowNum</h4>
                                <pre>public&nbsp;int&nbsp;getLastRowNum()</pre>
                            </li>
                        </ul>
                        <a name="getRowBlockCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowBlockCount</h4>
                                <pre>public&nbsp;int&nbsp;getRowBlockCount()</pre>
                                <div class="block">Returns the number of row blocks.
                                    <p>The row blocks are goupings of rows that contain the DBCell record
                                        after them</div>
                            </li>
                        </ul>
                        <a name="getRowCountForBlock-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowCountForBlock</h4>
                                <pre>public&nbsp;int&nbsp;getRowCountForBlock(int&nbsp;block)</pre>
                                <div class="block">Returns the number of physical rows within a block</div>
                            </li>
                        </ul>
                        <a name="visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitContainedRecords</h4>
                                <pre>public&nbsp;void&nbsp;visitContainedRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">RecordAggregate</a></code></span>
                                </div>
                                <div class="block">Visit each of the atomic BIFF records contained in this <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                    in the order
                                    that they should be written to file. Implementors may or may not return the actual
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                       title="class in org.apache.poi.hssf.record"><code>Record</code></a>s being used
                                    to manage POI's internal implementation. Callers should not
                                    assume either way, and therefore only attempt to modify those <a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record"><code>Record</code></a>s after
                                    cloning
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                                title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&gt;&nbsp;getIterator()</pre>
                            </li>
                        </ul>
                        <a name="findStartOfRowOutlineGroup-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findStartOfRowOutlineGroup</h4>
                                <pre>public&nbsp;int&nbsp;findStartOfRowOutlineGroup(int&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="findEndOfRowOutlineGroup-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findEndOfRowOutlineGroup</h4>
                                <pre>public&nbsp;int&nbsp;findEndOfRowOutlineGroup(int&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="collapseRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>collapseRow</h4>
                                <pre>public&nbsp;void&nbsp;collapseRow(int&nbsp;rowNumber)</pre>
                            </li>
                        </ul>
                        <a name="createRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRow</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;createRow(int&nbsp;rowNumber)</pre>
                                <div class="block">Create a row record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowNumber</code> - row number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RowRecord created for the passed in row number</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>RowRecord</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRowGroupCollapsed-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowGroupCollapsed</h4>
                                <pre>public&nbsp;boolean&nbsp;isRowGroupCollapsed(int&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="expandRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>expandRow</h4>
                                <pre>public&nbsp;void&nbsp;expandRow(int&nbsp;rowNumber)</pre>
                            </li>
                        </ul>
                        <a name="isRowGroupHiddenByParent-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRowGroupHiddenByParent</h4>
                                <pre>public&nbsp;boolean&nbsp;isRowGroupHiddenByParent(int&nbsp;row)</pre>
                            </li>
                        </ul>
                        <a name="getCellValueIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellValueIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&gt;&nbsp;getCellValueIterator()</pre>
                                <div class="block">Returns an iterator for the cell values</div>
                            </li>
                        </ul>
                        <a name="createIndexRecord-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createIndexRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../../org/apache/poi/hssf/record/IndexRecord.html"
                                                    title="class in org.apache.poi.hssf.record">IndexRecord</a>&nbsp;createIndexRecord(int&nbsp;indexRecordOffset,
                                     int&nbsp;sizeOfInitialSheetRecords)</pre>
                            </li>
                        </ul>
                        <a name="insertCell-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertCell</h4>
                                <pre>public&nbsp;void&nbsp;insertCell(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</pre>
                            </li>
                        </ul>
                        <a name="removeCell-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>public&nbsp;void&nbsp;removeCell(<a
                                        href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cvRec)</pre>
                            </li>
                        </ul>
                        <a name="createFormula-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFormula</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>&nbsp;createFormula(int&nbsp;row,
                                            int&nbsp;col)</pre>
                            </li>
                        </ul>
                        <a name="updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateFormulasAfterRowShift</h4>
                                <pre>public&nbsp;void&nbsp;updateFormulasAfterRowShift(<a
                                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                        title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                        int&nbsp;currentExternSheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="createDimensions--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createDimensions</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
                                        title="class in org.apache.poi.hssf.record">DimensionsRecord</a>&nbsp;createDimensions()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RowRecordsAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
               title="interface in org.apache.poi.hssf.record.aggregates"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="RowRecordsAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
